/***************************************************************************
// Distributed with a free-will license.
// Use it any way you want, profit or free, provided it fits in the licenses of its associated works.
// TMD2771
// This code is designed to work with the TMD2771_I2CS I2C Mini Module available from ControlEverything.com.
// https://www.controleverything.com/content/Light?sku=TMD2771_I2CS#tabs-0-product_tabset-2
 ***************************************************************************/
#ifndef __TMD277x_H__
#define __TMD277x_H__

#if (ARDUINO >= 100)
 #include "Arduino.h"
#else
 #include "WProgram.h"
#endif

#ifdef __AVR_ATtiny85__
 #include "TinyWireM.h"
 #define Wire TinyWireM
#else
 #include <Wire.h>
#endif

/*=========================================================================
    I2C ADDRESS/BITS/SETTINGS
    TMD2771 I2C address is 39(57)
    -----------------------------------------------------------------------*/
    #define TMD277x_Addr 0x39
/*=========================================================================*/


class TMD277x
{
  public:
    TMD277x();

    bool  begin(void);
    double readProximity(void);
    float readLuminance(void);

};

#endif
