#include <Wire.h>
#include <TMD277x.h>

TMD277x tmdSenzor;

void setup()
{
  // Initialise Serial Communication, set baud rate = 9600
  Serial.begin(9600);
  tmdSenzor.begin();
}

void loop()
{
  float luminance;
  double proximity;

  luminance = tmdSenzor.readLuminance();
  proximity = tmdSenzor.readProximity();

  // Output data to serial monitor
  Serial.print("Ambient Light luminance : ");
  Serial.print(luminance);
  Serial.println(" lux");
  Serial.print("Proximity of the device : ");
  Serial.println(proximity);
  delay(1000);
}
